<?php
class cComprapago{
	function insertar($forpag_id,$modpag_id,$mon,$caj_id,$numdia,$fecven,$fecpag,$est,$com_id,$numuni,$ref,$lug,$aval, $ban,$con,$monope,$liq ){
		$sql = "INSERT INTO  tb_comprapago(
		tb_formapago_id ,
		tb_modopago_id ,
		tb_comprapago_mon ,
		tb_caja_id,
		tb_comprapago_numdia ,
		tb_comprapago_fecven ,
		tb_comprapago_fecpag ,
		tb_comprapago_est ,
		tb_compra_id,
		tb_comprapago_numuni	,
		tb_comprapago_ref	,	
		tb_comprapago_lug,
		tb_comprapago_aval,
		tb_banco_id,
		tb_comprapago_con,
		tb_comprapago_monope,
		tb_comprapago_liq
		
		)
		VALUES (
		'$forpag_id',  '$modpag_id',  '$mon',  '$caj_id', '$numdia',  '$fecven', '$fecpag', '$est', '$com_id','$numuni','$ref','$lug','$aval','$ban','$con','$monope','$liq' )"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	
	function modificar_campo($id,$campo,$valor){
		$sql = "UPDATE tb_comprapago SET
		tb_comprapago_$campo =  '$valor' 
		WHERE tb_comprapago_id =$id;";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function mostrar_archivos($compagid){
		$sql="select * from tb_comprapagoarchivo where tb_comprapagoarchivo_xac = 1 and tb_comprapago_id = '$compagid'";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_egresos($compag_id){
		$sql="SELECT * FROM tb_egreso where tb_modulo_id = '4' and tb_egreso_modide = '$compag_id'";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function insertar_archivo($fec,$url,$compagid, $usuid,$nom){
		$sql = "INSERT INTO tb_comprapagoarchivo(
		tb_comprapagoarchivo_fec ,
		tb_comprapagoarchivo_url ,
		tb_comprapago_id ,
		tb_usuario_id,
		tb_comprapagoarchivo_nom
		)
		VALUES (
		'$fec','$url','$compagid','$usuid','$nom')"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}


	
function modificar($id, $numuni, $ref, $lug, $aval, $ban, $con,$numdoc){
		$sql = "UPDATE tb_comprapago cp
		INNER JOIN tb_compra c ON cp.tb_compra_id=c.tb_compra_id 
		SET tb_comprapago_numuni= '$numuni'	,
		tb_comprapago_ref	= '$ref',	
		tb_comprapago_lug = '$lug',
		tb_comprapago_aval = '$aval',
		tb_banco_id = '$ban',
		tb_comprapago_con = '$con',
		tb_compra_numdoc = '$numdoc'
		WHERE cp.tb_comprapago_id = '$id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}


	function ultimoInsert(){
		$sql = "select MAX(tb_comprapago_id) as 'id' from tb_comprapago"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function mostrarUno($compag_id){
		$sql = "SELECT * ,c.tb_documento_id
		FROM tb_comprapago cp
		INNER JOIN tb_compra c ON cp.tb_compra_id=c.tb_compra_id 
		INNER JOIN tb_proveedor pr ON c.tb_proveedor_id = pr.tb_proveedor_id
		LEFT JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id
		WHERE tb_comprapago_id = '$compag_id' ";

		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function filtrar($com_id){
		$sql = "SELECT * 
		FROM tb_comprapago cp
		LEFT JOIN tb_caja c ON cp.tb_caja_id=c.tb_caja_id
		WHERE tb_compra_id ='$com_id'
		
		ORDER BY tb_comprapago_id"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	function mostrar_pagos($ven_id){
		$sql = "SELECT *
		FROM tb_comprapago vp
		WHERE tb_venta_id = $ven_id"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	function caja_filtro_adm($fec1,$fec2,$doc_id,$cli_id,$est,$usu_id,$punven_id,$emp_id,$forpag_id,$modpag_id,$cuecor_id,$tar_id){
		$sql="SELECT vp.tb_formapago_id, fp.tb_formapago_nom, vp.tb_modopago_id, mp.tb_modopago_nom, vp.tb_cuentacorriente_id, tb_cuentacorriente_nom, vp.tb_tarjeta_id, tb_tarjeta_nom, ef.tb_entfinanciera_id AS banco_cuecor_id, ef.tb_entfinanciera_nom AS banco_cuecor, e.tb_entfinanciera_id AS banco_tar_id, e.tb_entfinanciera_nom AS banco_tar, SUM(tb_comprapago_mon) AS total 
		FROM tb_venta v
		LEFT JOIN tb_cliente c ON v.tb_cliente_id=c.tb_cliente_id
		INNER JOIN tb_documento d ON v.tb_documento_id=d.tb_documento_id
		INNER JOIN tb_usuario u ON v.tb_usuario_id=u.tb_usuario_id
		INNER JOIN tb_puntoventa pv ON v.tb_puntoventa_id=pv.tb_puntoventa_id
		
		INNER JOIN tb_comprapago vp ON v.tb_venta_id=vp.tb_venta_id
		INNER JOIN tb_formapago fp ON vp.tb_formapago_id=fp.tb_formapago_id
		INNER JOIN tb_modopago mp ON vp.tb_modopago_id=mp.tb_modopago_id
		LEFT JOIN tb_cuentacorriente cc ON vp.tb_cuentacorriente_id=cc.tb_cuentacorriente_id
		LEFT JOIN tb_tarjeta t ON vp.tb_tarjeta_id=t.tb_tarjeta_id
		
		LEFT JOIN tb_entfinanciera ef ON cc.tb_entfinanciera_id=ef.tb_entfinanciera_id
		LEFT JOIN tb_entfinanciera e ON t.tb_entfinanciera_id=e.tb_entfinanciera_id
		
		WHERE v.tb_empresa_id = $emp_id 
		AND tb_venta_fec BETWEEN '$fec1' AND '$fec2' ";
		
		if($doc_id>0)$sql.=" AND v.tb_documento_id = $doc_id ";
		if($cli_id>0)$sql.=" AND v.tb_cliente_id = $cli_id ";
		if($usu_id>0)$sql.=" AND u.tb_usuario_id = $usu_id ";
		if($punven_id>0)$sql.=" AND v.tb_puntoventa_id = $punven_id ";
		if($est!="")$sql.=" AND tb_venta_est LIKE '$est' ";
		
		if($forpag_id>0)$sql.=" AND vp.tb_formapago_id = $forpag_id ";
		if($modpag_id>0)$sql.=" AND vp.tb_modopago_id = $modpag_id ";
		if($cuecor_id>0)$sql.=" AND vp.tb_cuentacorriente_id = $cuecor_id ";
		if($tar_id>0)$sql.=" AND vp.tb_tarjeta_id = $tar_id ";		
		$sql.=" GROUP BY vp.tb_formapago_id,vp.tb_modopago_id,vp.tb_cuentacorriente_id,vp.tb_tarjeta_id ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_formapago(){
		$sql = "SELECT *
		FROM tb_formapago
		ORDER BY tb_formapago_id"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function mostrar_modopago(){
		$sql = "SELECT *
		FROM tb_modopago
		ORDER BY tb_modopago_id"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	function obtener_abonos($idcomprapago){
		$sql="SELECT sum(tb_egreso_imp) as sumaabono FROM tb_egreso 
		where tb_egreso_modide  ='$idcomprapago'";		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

function filtrar_modulo_comprapago($fec1,$fec2,$formapago,$caja){
		$sql="SELECT * FROM tb_compra c 
		INNER JOIN tb_comprapago cp ON c.tb_compra_id = cp.tb_compra_id
		LEFT JOIN tb_caja cj ON cp.tb_caja_id=cj.tb_caja_id
		INNER JOIN tb_proveedor p ON c.tb_proveedor_id=p.tb_proveedor_id 
		INNER JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id 
		INNER JOIN tb_almacen a ON c.tb_almacen_id=a.tb_almacen_id 
		WHERE tb_compra_xac=1 AND c.tb_empresa_id = 1 
		AND tb_compra_fec BETWEEN '$fec1' AND '$fec2' 
		AND cp.tb_formapago_id = '$formapago' ";
		if($formapago==1){
			if($caja!="")$sql.=" AND cp.tb_caja_id = '$caja' ";
		}
		$sql.="ORDER BY c.tb_compra_fec";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}


}
?>